Skip to main content
GET
/
accounts
/
{acc_id}
/
card_brands
/
{cbrd_id}
curl https://production.methodfi.com/accounts/acc_yVf3mkzbhz9tj/card_brands/cbrd_eVMDNUPfrFk3e \
  -X GET \
  -H "Method-Version: 2026-03-30" \
  -H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc"
{
  "id": "cbrd_Accm7P6t6mYQP",
  "account_id": "acc_LxwEqNicr66yP",
  "brands": [
    {
      "id": "pdt_15_brd_1",
      "card_product_id": "pdt_15",
      "description": "Chase Sapphire Reserve",
      "name": "Chase Sapphire Reserve",
      "issuer": "Chase",
      "network": "visa",
      "network_tier": "infinite",
      "type": "specific",
      "url": "https://static.methodfi.com/card_brands/1b7ccaba6535cb837f802d968add4700.png",
      "details": {
        "card_category": "travel",
        "purchase_apr_min": 21.24,
        "purchase_apr_max": 28.24,
        "cash_advance_apr_min": 29.99,
        "cash_advance_apr_max": 29.99,
        "annual_fee": 55000,
        "late_payment_fee": 4000,
        "rewards": {
          "type": "points",
          "program": "Chase Ultimate Rewards",
          "categories": [
            { "category": "travel", "category_presentable": "Travel booked through Chase Travel", "rate": 5, "unit": "points_per_dollar", "cap": null },
            { "category": "dining", "category_presentable": "Dining", "rate": 3, "unit": "points_per_dollar", "cap": null },
            { "category": "base_rate", "category_presentable": "All other purchases", "rate": 1, "unit": "points_per_dollar", "cap": null }
          ]
        },
        "promotions": [
          {
            "type": "sign_up_bonus",
            "title": "60,000 bonus points",
            "description": "Earn 60,000 bonus points after you spend $4,000 on purchases in the first 3 months from account opening.",
            "value": 60000,
            "unit": "points",
            "spend_requirement": 400000,
            "qualifying_period": { "value": 3, "unit": "months", "relative_to": "account_opening" },
            "expiration": null
          }
        ],
        "data_as_of": "2026-06-03"
      }
    }
  ],
  "status": "completed",
  "source": "method",
  "error": null,
  "created_at": "2025-08-12T00:56:50.139Z",
  "updated_at": "2025-08-12T00:56:50.139Z"
}
Retrieves a CardBrand record for an Account.

Path Parameters

Returns

Returns a CardBrand object. On version 2025-07-04 and later, each brand in brands[] includes a details object with card details (APRs, fees, rewards, and promotions).
curl https://production.methodfi.com/accounts/acc_yVf3mkzbhz9tj/card_brands/cbrd_eVMDNUPfrFk3e \
  -X GET \
  -H "Method-Version: 2026-03-30" \
  -H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc"
{
  "id": "cbrd_Accm7P6t6mYQP",
  "account_id": "acc_LxwEqNicr66yP",
  "brands": [
    {
      "id": "pdt_15_brd_1",
      "card_product_id": "pdt_15",
      "description": "Chase Sapphire Reserve",
      "name": "Chase Sapphire Reserve",
      "issuer": "Chase",
      "network": "visa",
      "network_tier": "infinite",
      "type": "specific",
      "url": "https://static.methodfi.com/card_brands/1b7ccaba6535cb837f802d968add4700.png",
      "details": {
        "card_category": "travel",
        "purchase_apr_min": 21.24,
        "purchase_apr_max": 28.24,
        "cash_advance_apr_min": 29.99,
        "cash_advance_apr_max": 29.99,
        "annual_fee": 55000,
        "late_payment_fee": 4000,
        "rewards": {
          "type": "points",
          "program": "Chase Ultimate Rewards",
          "categories": [
            { "category": "travel", "category_presentable": "Travel booked through Chase Travel", "rate": 5, "unit": "points_per_dollar", "cap": null },
            { "category": "dining", "category_presentable": "Dining", "rate": 3, "unit": "points_per_dollar", "cap": null },
            { "category": "base_rate", "category_presentable": "All other purchases", "rate": 1, "unit": "points_per_dollar", "cap": null }
          ]
        },
        "promotions": [
          {
            "type": "sign_up_bonus",
            "title": "60,000 bonus points",
            "description": "Earn 60,000 bonus points after you spend $4,000 on purchases in the first 3 months from account opening.",
            "value": 60000,
            "unit": "points",
            "spend_requirement": 400000,
            "qualifying_period": { "value": 3, "unit": "months", "relative_to": "account_opening" },
            "expiration": null
          }
        ],
        "data_as_of": "2026-06-03"
      }
    }
  ],
  "status": "completed",
  "source": "method",
  "error": null,
  "created_at": "2025-08-12T00:56:50.139Z",
  "updated_at": "2025-08-12T00:56:50.139Z"
}